aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiquel Sabaté Solà <mssola@mssola.com>2026-09-06 21:37:31 +0200
committerMiquel Sabaté Solà <mssola@mssola.com>2026-09-06 21:37:31 +0200
commit30a572b2b3815abaf17dcd2a848430935a4ba729 (patch)
treef2c6c08a97a12bc9ba0daa359451ea51a77ec16b
parentc417e438e0a1511e08d0d986a5ba2f48b35e4926 (diff)
downloadtools.nes-30a572b2b3815abaf17dcd2a848430935a4ba729.tar.gz
tools.nes-30a572b2b3815abaf17dcd2a848430935a4ba729.zip
vnf-tests: set the proper exit code on e2e tests
Signed-off-by: Miquel Sabaté Solà <mssola@mssola.com>
-rwxr-xr-xscripts/test-e2e.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/test-e2e.sh b/scripts/test-e2e.sh
index e3f85e1..7628ab4 100755
--- a/scripts/test-e2e.sh
+++ b/scripts/test-e2e.sh
@@ -309,7 +309,8 @@ exit_code=$((exit_code + $?))
./target/debug/nasm --asan -Werror -w -o tests/out/joypad.nes tests/runrom/joypad.s
echo "test: vnf-tests"
-cargo run --bin vnf-tests tests/
+cargo run --bin vnf-tests -- tests/
+exit_code=$((exit_code + $?))
##
# Done!